/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The BacktestResponse model module.
 * @module model/BacktestResponse
 * @version 2021.12-dev21
 */
class BacktestResponse {
    /**
     * Constructs a new <code>BacktestResponse</code>.
     * @alias module:model/BacktestResponse
     * @param status {String} 
     * @param running {Boolean} 
     * @param statusMsg {String} 
     * @param step {String} 
     * @param progress {Number} 
     */
    constructor(status, running, statusMsg, step, progress) { 
        
        BacktestResponse.initialize(this, status, running, statusMsg, step, progress);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, status, running, statusMsg, step, progress) { 
        obj['status'] = status;
        obj['running'] = running;
        obj['status_msg'] = statusMsg;
        obj['step'] = step;
        obj['progress'] = progress;
    }

    /**
     * Constructs a <code>BacktestResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BacktestResponse} obj Optional instance to populate.
     * @return {module:model/BacktestResponse} The populated <code>BacktestResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new BacktestResponse();

            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
            if (data.hasOwnProperty('running')) {
                obj['running'] = ApiClient.convertToType(data['running'], 'Boolean');
            }
            if (data.hasOwnProperty('status_msg')) {
                obj['status_msg'] = ApiClient.convertToType(data['status_msg'], 'String');
            }
            if (data.hasOwnProperty('step')) {
                obj['step'] = ApiClient.convertToType(data['step'], 'String');
            }
            if (data.hasOwnProperty('progress')) {
                obj['progress'] = ApiClient.convertToType(data['progress'], 'Number');
            }
            if (data.hasOwnProperty('trade_count')) {
                obj['trade_count'] = ApiClient.convertToType(data['trade_count'], 'Number');
            }
            if (data.hasOwnProperty('backtest_result')) {
                obj['backtest_result'] = ApiClient.convertToType(data['backtest_result'], Object);
            }
        }
        return obj;
    }


}

/**
 * @member {String} status
 */
BacktestResponse.prototype['status'] = undefined;

/**
 * @member {Boolean} running
 */
BacktestResponse.prototype['running'] = undefined;

/**
 * @member {String} status_msg
 */
BacktestResponse.prototype['status_msg'] = undefined;

/**
 * @member {String} step
 */
BacktestResponse.prototype['step'] = undefined;

/**
 * @member {Number} progress
 */
BacktestResponse.prototype['progress'] = undefined;

/**
 * @member {Number} trade_count
 */
BacktestResponse.prototype['trade_count'] = undefined;

/**
 * @member {Object} backtest_result
 */
BacktestResponse.prototype['backtest_result'] = undefined;






export default BacktestResponse;

